if WITH_W32
noinst_LTLIBRARIES = libw32loader.la
libw32loader_la_SOURCES = \
	pshpack1.h pshpack2.h pshpack4.h pshpack8.h poppack.h \
	w32ldr.c w32ldr.h image.h tchar.h windef.h windows.h \
	w32brush.c w32brush.h w32font.c w32font.h w32pen.c w32pen.h \
	w32btn.c w32btn.h \
	w32edit.c w32edit.h \
	w32stc.c w32stc.h \
	w32list.c w32list.h \
	w32sbar.c w32sbar.h \
	w32combo.c w32combo.h \
	w32tool.c w32tool.h \
	w32stat.c w32stat.h \
	w32prsht.c w32prsht.h \
	w32lview.c w32lview.h \
	w32tview.c w32tview.h \
	w32prgrs.c w32prgrs.h \
	w32updwn.c w32updwn.h \
	w32menu.c w32menu.h \
	w32dlg.c w32dlg.h \
	w32wnd.c w32wnd.h \
	w32private.h \
	advapi32.c advapi32.h \
	commctrl.c commctrl.h \
	commdlg.c commdlg.h \
	gdi32.c gdi32.h \
	htmlhelp.c htmlhelp.h \
	kernel32.c kernel32.h \
	msvcrt.c msvcrt.h \
	ntdll.c ntdll.h \
	ole32.c ole32.h \
	oleaut32.c oleaut32.h \
	rasapi32.c rasapi32.h ras.h raserror.h \
	rasdlg.c rasdlg.h \
	shell32.c shell32.h \
	user32.c user32.h \
	version.c version.h \
	winmm.c winmm.h \
	winsock.c winsock.h \
	afxres.h direct.h mbstring.h process.h shlobj.h vfw.h windowsx.h

AM_CPPFLAGS := $(AM_CPPFLAGS) \
	-DBINDIR=\""$(bindir)"\" \
	-DLIBDIR=\""$(libdir)"\" \
	-DSYSCONFDIR=\""$(sysconfdir)"\"

INCLUDES = \
	$(GTK_CFLAGS) \
	-I$(top_srcdir)

libw32loader_la_LIBADD = \
	$(GTK_LIBS) \
	$(top_builddir)/misc/libmisc.la
else
EXTRA_DIST = \
	pshpack1.h pshpack2.h pshpack4.h pshpack8.h poppack.h \
	w32ldr.c w32ldr.h image.h tchar.h windef.h windows.h \
	w32brush.c w32brush.h w32font.c w32font.h w32pen.c w32pen.h \
	w32btn.c w32btn.h \
	w32edit.c w32edit.h \
	w32stc.c w32stc.h \
	w32list.c w32list.h \
	w32sbar.c w32sbar.h \
	w32combo.c w32combo.h \
	w32tool.c w32tool.h \
	w32stat.c w32stat.h \
	w32prsht.c w32prsht.h \
	w32lview.c w32lview.h \
	w32tview.c w32tview.h \
	w32prgrs.c w32prgrs.h \
	w32updwn.c w32updwn.h \
	w32menu.c w32menu.h \
	w32dlg.c w32dlg.h \
	w32wnd.c w32wnd.h \
	w32private.h \
	advapi32.c advapi32.h \
	commctrl.c commctrl.h \
	commdlg.c commdlg.h \
	gdi32.c gdi32.h \
	htmlhelp.c htmlhelp.h \
	kernel32.c kernel32.h \
	msvcrt.c msvcrt.h \
	ole32.c ole32.h \
	oleaut32.c oleaut32.h \
	rasapi32.c rasapi32.h ras.h raserror.h \
	rasdlg.c rasdlg.h \
	shell32.c shell32.h \
	user32.c user32.h \
	version.c version.h \
	winmm.c winmm.h \
	winsock.c winsock.h \
	afxres.h direct.h mbstring.h process.h shlobj.h vfw.h windowsx.h
endif
